export function formatLatitude(value, exponent) {
    if (!exponent) {
        exponent = 0;
    }
    value = value * 1;
    const ns = value > 0 ? '北緯' : '南緯';
    value = Math.abs(value);
    const deg = Math.floor(value);
    const min = Math.floor((value - deg) * 60);
    const sec = ((value - deg - min / 60) * 3600).toFixed(exponent);
    return ns + deg + '度' + min + '分' + sec + '秒';
}
export function formatLongitude(value, exponent) {
    if (!exponent) {
        exponent = 0;
    }
    value = value * 1;
    const ew = value > 0 ? '東経' : '西経';
    value = Math.abs(value);
    const deg = Math.floor(value);
    const min = Math.floor((value - deg) * 60);
    const sec = ((value - deg - min / 60) * 3600).toFixed(exponent);
    return ew + deg + '度' + min + '分' + sec + '秒';
}
